Can’t install jQuery 1.11.3

I am trying to install the jQuery 1.11.3 installation from this page. When the download finishes and I click the file, I get this error: I have tried this on three browsers: Google Chrome 44.0.2403….